// Custom Theming for Angular Material
// For more information: https://material.angular.io/guide/theming
@use "../../../node_modules/@angular/material" as mat;
// Plus imports for other components in your app.

// Include the common styles for Angular Material. We include this here so that you only
// have to load a single css file for Angular Material in your app.
// Be sure that you only ever include this mixin once!
@include mat.all-component-typographies();
@include mat.core();

// Define the palettes for your theme using the Material Design palettes available in palette.scss
// (imported above). For each palette, you can optionally specify a default, lighter, and darker
// hue. Available color palettes: https://material.io/design/color/
$ofs-primary: mat.m2-define-palette(mat.$m2-indigo-palette);
$ofs-accent: mat.m2-define-palette(mat.$m2-pink-palette, A200, A100, A400);

// The warn palette is optional (defaults to red).
$ofs-warn: mat.m2-define-palette(mat.$m2-red-palette);

// Create the theme object. A theme consists of configurations for individual
// theming systems such as "color" or "typography".
$ofs-theme: mat.m2-define-light-theme(
  (
    color: (
      primary: $ofs-primary,
      accent: $ofs-accent,
      warn: $ofs-warn,
    ),
  )
);

// Include theme styles for core and each component used in your app.
// Alternatively, you can import and @include the theme mixins for each component
// that you are using.
@include mat.all-component-themes($ofs-theme);

/* You can add global styles to this file, and also import other style files */
@tailwind base;
@tailwind components;
@tailwind utilities;

html,
body {
  height: 100%;
}
body {
  margin: 0;
  font-family: Roboto, "Helvetica Neue", sans-serif;
}

.centereing-container {
  @apply h-full flex flex-col items-center justify-center overflow-hidden;
}

.mat-horizontal-content-container {
  padding: 0px !important;
}

.workflow-content-container {
  display: grid;
  gap: 1rem;
  grid-template-columns: minmax(20rem, 1fr) minmax(20rem, 2fr) minmax(
      20rem,
      1fr
    );
  @apply h-full w-full;
}

@media (min-width: 1536px) {
  .workflow-content-container {
    grid-template-columns: 20rem minmax(30rem, 1536px) 20rem;
  }
}

.workflow-substep-panel {
  width: 100%;
  position: relative; /* Set position to relative to child element */
  overflow-y: auto;
}

.form-button-grid {
  @apply mb-8 grid grid-cols-2 gap-4;
}

form {
  @apply flex flex-col mt-8 min-h-0;
}

.inner-form-container {
  @apply flex flex-col overflow-y-auto;
}

.outer-form-container {
  @apply flex flex-col h-full;
}
